mail/enma - The NetBSD Packages Collection

Sender authentication milter supporting SPF and Sender ID

ENMA is a milter program for the domain authentication technologies.
It authenticates sender's address with SPF, Sender ID, DKIM and DKIM
ADSP, then labels the result onto the Authentication-Results: field.

ENMA implements the following RFCs:

- RFC4406 (Sender ID: Authenticating E-Mail)
- RFC4407 (Purported Responsible Address)
- RFC4408 (Sender Policy Framework)
- RFC4871 (DKIM Signatures, obsoleted by RFC6376)
- RFC5451 (Authentication-Results Header Field)
- RFC5617 (ADSP)
- RFC5672 (RFC 4871 Update, obsoleted by RFC6376)
- RFC6376 (DKIM Signatures)

ENMA is developed by IIJ. IIJ has been using several domain
authentication software, though, all of them appeared unstable. ENMA
is designed and implemented in order to stand large ISP's operation
and is well-tested.

Build dependencies

mail/libmilter pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

net/ldns net/ldns

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 8.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 8.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 8.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 8.0i386enma-1.2.0nb5.tgz
NetBSD 8.0i386enma-1.2.0nb5.tgz
NetBSD 8.0i386enma-1.2.0nb5.tgz
NetBSD 8.0i386enma-1.2.0nb5.tgz
NetBSD 8.0powerpcenma-1.2.0nb5.tgz
NetBSD 8.0powerpcenma-1.2.0nb5.tgz
NetBSD 8.0powerpcenma-1.2.0nb5.tgz
NetBSD 8.0powerpcenma-1.2.0nb5.tgz
NetBSD 8.0powerpcenma-1.2.0nb5.tgz
NetBSD 8.0x86_64enma-1.2.0nb5.tgz
NetBSD 8.0x86_64enma-1.2.0nb5.tgz
NetBSD 8.0x86_64enma-1.2.0nb5.tgz
NetBSD 8.0x86_64enma-1.2.0nb5.tgz
NetBSD 9.0aarch64enma-1.2.0nb5.tgz
NetBSD 9.0aarch64enma-1.2.0nb5.tgz
NetBSD 9.0aarch64enma-1.2.0nb5.tgz
NetBSD 9.0aarch64enma-1.2.0nb5.tgz
NetBSD 9.0alphaenma-1.2.0nb5.tgz
NetBSD 9.0alphaenma-1.2.0nb5.tgz
NetBSD 9.0earmv6hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv6hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv6hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv6hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv6hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 9.0earmv7hfenma-1.2.0nb5.tgz
NetBSD 9.0i386enma-1.2.0nb5.tgz
NetBSD 9.0i386enma-1.2.0nb5.tgz
NetBSD 9.0i386enma-1.2.0nb5.tgz
NetBSD 9.0i386enma-1.2.0nb5.tgz
NetBSD 9.0mips64ebenma-1.2.0nb5.tgz
NetBSD 9.0mips64ebenma-1.2.0nb5.tgz
NetBSD 9.0mips64ebenma-1.2.0nb5.tgz
NetBSD 9.0mips64ebenma-1.2.0nb5.tgz
NetBSD 9.0powerpcenma-1.2.0nb5.tgz
NetBSD 9.0powerpcenma-1.2.0nb5.tgz
NetBSD 9.0powerpcenma-1.2.0nb5.tgz
NetBSD 9.0powerpcenma-1.2.0nb5.tgz
NetBSD 9.0powerpcenma-1.2.0nb5.tgz
NetBSD 9.0sparc64enma-1.2.0nb5.tgz
NetBSD 9.0sparc64enma-1.2.0nb5.tgz
NetBSD 9.0sparcenma-1.2.0nb5.tgz
NetBSD 9.0sparcenma-1.2.0nb5.tgz
NetBSD 9.0x86_64enma-1.2.0nb5.tgz
NetBSD 9.0x86_64enma-1.2.0nb5.tgz
NetBSD 9.0x86_64enma-1.2.0nb5.tgz
NetBSD 9.0x86_64enma-1.2.0nb5.tgz
NetBSD 9.0x86_64enma-1.2.0nb5.tgz
NetBSD 9.0x86_64enma-1.2.0nb5.tgz
NetBSD 9.0x86_64enma-1.2.0nb5.tgz
NetBSD 9.0x86_64enma-1.2.0nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.